[Bug] Editing a qualifier in a group of qualifiers shows the other ones as recreated in diff
Closed, ResolvedPublic

Description

If a statement has a collection of qualifiers, and one edits any of those qualifiers, all unchanged qualifiers will show up in the resulting diff as having been deleted, with new identical qualifiers created separately.

Yair_rand updated the task description. (Show Details)
Yair_rand raised the priority of this task from to Needs Triage.
Yair_rand added a project: Wikidata.
Yair_rand added a subscriber: Yair_rand.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 10 2015, 10:37 AM
Jonas renamed this task from Editing any qualifiers recreates all existing qualifiers to [Bug] Editing any qualifiers recreates all existing qualifiers.Dec 14 2015, 11:31 AM
Jonas set Security to None.
Jonas added a subscriber: Jonas.
Jonas added a subscriber: Lydia_Pintscher.
Lydia_Pintscher renamed this task from [Bug] Editing any qualifiers recreates all existing qualifiers to [Bug] Editing a qualifier in a group of qualifiers shows the other ones as recreated in diff.Mar 16 2016, 10:00 AM
Lydia_Pintscher triaged this task as High priority.

Now that we are managing property constraints in statements, this problem has become more visible. See for instance this diff (the edit summary doesn't help either). (Although you can sometimes assume it's a new qualifier, thus the bottom one.)

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 24 2017, 8:04 AM
matej_suchanek lowered the priority of this task from High to Low.

Hm, now when I take a look at the diff, it looks perfect. Unless someone finds another problem, I suppose we can close this.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptSun, Dec 24, 1:50 PM
Lydia_Pintscher closed this task as Resolved.Fri, Dec 29, 11:20 AM
Lydia_Pintscher claimed this task.

Yay :)
Probably fixed as a sideeffect of Amir's work on compact diffs.